:root {
    --background-color: rgb(255, 255, 255);
    --background-color2: #d6f5e4;
    --background-color3: #95d5b2;
    --title-color: rgb(255, 255, 255);
    --text-color: rgb(0, 0, 0);
    --accent-color: rgb(32, 185, 32);
    --accent-color-translucent: rgba(32, 185, 32, 0.25);
    --glow-color: rgb(0, 255, 0);
    --highlight-color: #dbffcc;
    --frosted-glass-color: rgba(255, 255, 255, 0.15);
    --background: linear-gradient(45deg, var(--background-color), white);
    --title-font: "Space Grotesk", sans-serif;
    --text-font: "Varela Round", sans-serif;
}

h1, h2, h3{
    font-family: var(--title-font);
}

h4, h5, h6, p, label, a{
    font-family: var(--text-font);
}

html, body{
    padding: 0;
    margin: 0;
}

body{
    padding-top: 50px;
}

#navbar{
    z-index: 3;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    border-bottom: 4px solid var(--accent-color);
    background-color: #fefefe;
}

#navbar a{
    text-decoration: none;
    color: #333;
    padding: 15px 20px;
    float: right;
}

#submit-title{
    text-align: center;
}

form{
    width: 90%;
    text-align: center;
    margin: 0 auto;
    padding: 50px 10px;
    border: 1px solid #ccc;
    border-radius: 50px;
    background-color: #e0f7ec;
}

#form-container{
    width: 100%;
    text-align: center;
}

#text-input-container{
    display: grid;
    text-align: center;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 2rem;
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
}

.input-container{
    padding: 2%;
    text-align: left;
}

input[type="text"]:not(.resource-tags):not(.resource-contact):not(.resource-contact-type), input[type="url"]{
    width: 100%;
}

input[type="text"]:not(.resource-tags), input[type="url"], select{
    height: 50px;
    font-size: 15px;
    border-radius: 10px;
    box-sizing: border-box;
    padding-left: 10px;
    margin-top: 10px;
}

#desc-input-container textarea{
    width: 100%;
    font-size: 16px;
    padding: 15px;
    margin-top: 10px;
    resize: none;
    border-radius: 10px;
    border: 2px solid #000000;
    border-style: inset;
    box-sizing: border-box;
}

label{
    font-size: 18px;
}

input[type="submit"]{
    font-size: 20px;
    padding: 10px 20px;
    margin-top: 2%;
    border-radius: 10px;
    cursor: pointer;
    background-color: #4e9c70;
}

.required-mark{
    color: red;
}

.resource-tags{
    width: 85%;
    height: 40px;
    font-size: 15px;
    border-radius: 10px;
    box-sizing: border-box;
    padding-left: 10px;
    margin-top: 10px;
}

.remove-row{
    width: 30px;
    height: 30px;
    border-radius: 20px;
    margin-left: 10px;
}

.add-row{
    width: 30px;
    height: 30px;
    border-radius: 15px;
    margin-left: 8px;
}

.tag-input-row, .contact-input-row{
    text-align: center;
    display: flex;
    align-items: center;
}

.resource-contact{
    width: 44%;
    height: 50px;
    margin-left: 2%;
    flex-grow: 1;
}

.resource-contact-type{
    width: 44%;
    height: 50px;
    flex-grow: 1;
}


button, input[type="submit"]{
    width: 175px;
    height: 50px;
    border-radius: 25px;
    display: inline-block;
    font-size: 1em;
    font-family: "Varela Round", sans-serif;
    cursor: pointer;
}

.button-small{
    background-color: var(--frosted-glass-color);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid #005c29;
    color: #ffffff;
    box-shadow: 0 0 5px rgba(102, 102, 102, 0.7);
    display: flex;
    align-items: center; 
    justify-content: center;
    margin: 0 auto;
}

.button-small:hover{
    filter: brightness(95%);
}

.button-small-icon{
    height: 25px;
    /* filter: invert(48%) sepia(100%) saturate(5207%) hue-rotate(130deg) brightness(155%) contrast(80%); */
} 

.button-main1{
    background-color: var(--accent-color);
    border: none;
    color: var(--title-color);
    
    box-shadow: 0 0 10px color-mix(in srgb, var(--glow-color) 70%, transparent), 0 0 20px color-mix(in srgb, var(--glow-color) 50%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 20%, transparent);
    
    animation: glow 1.5s infinite alternate;
}


.hidden-remove-row{
    visibility: hidden;
    margin: 0;
    display: none;
}

@keyframes glow {
  from {
    box-shadow: 0 0 10px color-mix(in srgb, var(--glow-color) 70%, transparent), 0 0 20px color-mix(in srgb, var(--glow-color) 50%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 20%, transparent);
  }
  to {
    box-shadow: 0 0 20px color-mix(in srgb, var(--glow-color) 70%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 50%, transparent), 0 0 60px color-mix(in srgb, var(--glow-color) 20%, transparent);
  }
}

.button-main1:hover, .button-main2:hover{
    background-color: var(--highlight-color);
    color: var(--accent-color);
    box-shadow: 0 0 20px color-mix(in srgb, var(--glow-color) 100%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 80%, transparent), 0 0 60px color-mix(in srgb, var(--glow-color) 40%, transparent);
}

.button-main2{
    background-color: var(--frosted-glass-color);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 2px solid var(--accent-color);
    color: var(--accent-color);
    box-shadow: 0 0 20px rgba(102, 102, 102, 0.7);
}


#clear-resources{
    /* border: none;
    background: none;
    text-decoration: underline;
    color: blue; */
    cursor: pointer;
    margin: auto;
    width: 200px;
    color: var(--text-color);
    background-color: rgba(255, 255, 255, 0.7);
}

#withdraw-div{
    width: 100%;
    text-align: center;
    padding: 50px 0 80px;
    margin: 50px 0 0;
    background-color: #80bda1;
}

footer{
    background-color: #f7f7f7;
}

.footer-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 10px 5% 30px;
}

.footer-content{
    display: flex;
    justify-content: space-between;
    gap: 60px;
    align-items: flex-start;
}

.footer-logo{
    flex: 1;
    min-width: 220px;
}

.footer-logo img{
    width: 100px;
}

.footer-links{
    flex: 1;
    min-width: 150px;
}

.footer-disclaimer{
    flex: 2;
    min-width: 80px;
}

.footer-links-list{
    list-style: none;
    padding: 0;
    margin: 10px 0 0;
    gap: 10px;
    display: flex;
    flex-direction: column;
}

.footer-links-list a {
    text-decoration: none;
    color: var(--text-color);
}

.footer-links-list a:hover {
    color: var(--accent-color);
}

.footer-bottom {
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid #ddd;
    text-align: center;
    font-size: 0.9em;
    color: #555;
}

@media screen and (max-width: 750px) {
    .footer-content {
        flex-direction: column;
        gap: 40px;
    }
}